# $Revision: 1.19 $, $Date: 2002/09/15 21:51:49 $
# TODO:
# add support to IBM OMNI drivers
Summary:	Printing library for GNOME
Summary(pl):	Biblioteka drukowania dla GNOME
Name:		libgnomeprint
Version:	1.116.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/2.0.2/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-am16.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bonobo-activation-devel >= 1.0.0
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	glib2-devel >= 2.0.3
BuildRequires:	libart_lgpl-devel >= 2.3.7
BuildRequires:	libbonobo-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.22
BuildRequires:	pango-devel >= 1.0.0
PreReq:		ghostscript-fonts-std
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/X11R6
%define         _mandir         %{_prefix}/man
%define         _sysconfdir     /etc/X11/GNOME2
%define		_gtkdocdir	%{_defaultdocdir}/gtk-doc/html

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print package contains
libraries and fonts needed by GNOME applications for printing.

You should install the gnome-print package if you intend to use any of
the GNOME applications that can print. If you would like to develop
GNOME applications that can print you will also need to install the
gnome-print devel package.

%description -l pl
GNOME (GNU Network Object Model Environment) jest zestawem przyjaznych
dla uytkownika aplikacji i narzdzi do uytku w poczeniu z zarzdc
okien X Window System. Pakiet libgnomeprint zawiera biblioteki
niezbdne aplikacjom GNOME do drukowania.

%package devel
Summary:	Include files for libgnomeprint
Summary(pl):	Pliki nagwkowe libgnomeprint
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel >= 2.0.1
Requires:	gtk-doc-common
Requires:	libxml2-devel >= 2.4.7
Requires:	libart_lgpl-devel
Requires:	libbonobo-devel >= 1.110

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print-devel package
includes the libraries and include files needed for developing
applications that use the GNOME printing capabilities.

You should install the gnome-print-devel package if you would like to
develop GNOME applications that will use the GNOME print capabilities.
You do not need to install the gnome-print-devel package if you just
want to use the GNOME desktop environment.

%description devel -l pl
Pliki nagwkowe niezbdne do kompilacji aplikacji uywajcych
biblioteki drukowania GNOME.

%package static
Summary:	Static libgnomeprint library
Summary(pl):	Statyczna biblioteka libgnomeprint
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of libgnomeprint library.

%description static -l pl
Statyczna wersja biblioteki libgnomeprint.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%build
#%{__libtoolize}
#%{__aclocal}
#%{__autoconf}
#%{__automake}
%configure \
	--disable-font-install \
	--with-html-dir=%{_gtkdocdir} \
	--enable-gtk-doc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/gnome/libgnomeprint-2.0/fonts

# It would probably be cleaner to use install DESTDIR=$RPM_BUILD_ROOT
# instead of %%makeinstall with this hack.
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	HTML_DIR=%{_gtkdocdir}

%find_lang %{name}-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post
## we could pass --dynamic here to install to /etc instead
## but I think it makes more sense to have this not be a config
## file, then people make their changes in /etc if they want
%{_bindir}/libgnomeprint-2.0-font-install \
       --aliases=%{_datadir}/libgnomeprint-2.0/fonts/adobe-urw.font \
       --recursive --static \
       %{_fontsdir}
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README installer/README.*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/gnome-print-*
%dir %{_libdir}/gnome-print-*/*
%attr(755,root,root) %{_libdir}/gnome-print-*/*/*.so*
%attr(755,root,root) %{_libdir}/gnome-print-*/*/*.la
%{_datadir}/gnome-print-*
%{_datadir}/gnome/libgnomeprint-*
%{_sysconfdir}/gnome/libgnomeprint-*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%{_libdir}/gnome-print-*/*/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libgnomeprint.spec,v $
Revision 1.19  2002/09/15 21:51:49  aflinta
- updated to version 1.116.1 but needs testing

Revision 1.18  2002/08/16 00:52:12  wolf
- 1.116.0

Revision 1.17  2002/07/02 12:44:37  ankry
- Requires gtk-doc-common for -devel subpackage
- release 2

Revision 1.16  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.15  2002/06/11 16:35:24  wiget
updated to 1.115.0

Revision 1.14  2002/05/27 22:42:06  kloczek
- updated to 1.114.0.

Revision 1.13  2002/05/24 14:42:19  wiget
- release 2
- added am.patch (fix for automake 1.6x)
- new %%doc
- fixed %%post (but better generalize font managment system)
- add missing %%files

now is ready for testing

Revision 1.12  2002/05/21 23:13:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/05/19 00:15:56  qboosh
- added ">= 2.0.0" to BR: freetype-devel; sorted/cleaned BRs where necessary

Revision 1.10  2002/05/17 07:09:48  kloczek
- updated to 1.113.0,
- aded ac_fixes patch.

Revision 1.9  2002/04/18 20:14:10  misiek
- fixed

Revision 1.8  2002/04/18 18:54:57  misiek
- updated to 1.112

Revision 1.7  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/14 22:25:29  qboosh
- fixed pl description

Revision 1.3  2002/02/05 16:12:38  qboosh
- separated -static, gzip doc, added pl translations
- fixed some PLD-specific things (fonts path, requires)

Revision 1.2  2002/02/01 19:32:27  kloczek
- partialy rewrited,
- switch to bzipped2 tar ball.

Based on spec from RedHat.
